#include <acknex.h>
#include <default.c>

#include "PP_Helper.c"

BMAP* camera_clean;

MATERIAL* matBlackout =
{
	effect = "Blackout.fx";
}

MATERIAL* matBloomAdd =
{
	effect = "BloomAdd.fx";
}

MATERIAL* matBlurH =
{
	effect = "Blur.fx";
}

MATERIAL* matBlurV =
{
	effect = "Blur.fx";
}

MATERIAL* matRadialBlur =
{
	effect = "RadialBlur.fx";
}

void main()
{
	level_load("Haus.mdl");
	
	camera_clean = bmap_createblack(screen_size.x, screen_size.y, 24);
	camera.bmap = camera_clean;
	
	PP_Add(matBlackout, camera, NULL);
	PP_Add(matBlurH, camera, NULL);
	PP_Add(matBlurV, camera, NULL);
	PP_Add(matBloomAdd, camera, NULL);
//	PP_Add(matRadialBlur, camera, NULL);
	
	matBlurH.skill1 = floatv(1);
	matBlurH.skill2 = floatv(0);
	
	matBlurV.skill1 = floatv(0);
	matBlurV.skill2 = floatv(1);
}